mod custom_window_frame;
mod download_file;
mod launcher;

use eframe::{epaint::Vec2, run_native, NativeOptions};
use launcher::Launcher;

fn main() {
    _ = run_native(
        "Howling Launcher",
        NativeOptions {
            decorated: false,
            transparent: true,
            resizable: false,
            initial_window_size: Some(Vec2 { x: 500.0, y: 350.0 }),
            ..Default::default()
        },
        Box::new(|cc| Box::new(Launcher::new(cc))),
    );
}
